
Planet	"Gas Planet 2/GP2"
{
	ParentBody     "Kerbol"
	Class          "GasGiant"

	Mass            323.832
	Radius          91492
	Oblateness      0.06787

	RotationPeriod  9.92425
	RotationOffset  305.4
	Obliquity       2.222461
	EqAscendNode   -22.203

	Albedo          0.51

	Surface
	{
		DiffMap		"KSP/GP2.*"
		Exposure        1.2
	}

	Aurora
	{
		Height       1000   // km
        TopColor    (0.0 0.0 1.5)
        BottomColor (1.0 0.4 0.0)

		NorthLat     90    // degrees
		NorthLon     0     // degrees
		NorthRadius  8000  // km
		NorthWidth   6000  // km
		NorthRings   3     // number of rings
		NorthBright  1.0

		SouthLat    -90    // degrees
		SouthLon     0     // degrees
		SouthRadius  8000  // km
		SouthWidth   6000  // km
		SouthRings   3     // number of rings
		SouthBright  1.0
	}

	Rings
	{
		Texture         "KSP/GP2-rings.*"
		InnerRadius     162200
		OuterRadius     467500
		FrontBright     0.75
		BackBright      2.25
		Density         0.03
		Exposure        2.0
	}

	Orbit
	{
		Period         23.8622
		SemiMajorAxis  2.241
		Eccentricity   0.0484
		Inclination    1.3053
		AscendingNode  100.556
		LongOfPericen  14.7539
		MeanLongitude  34.404
	}
}

DwarfMoon	"Daphy"
{
	ParentBody     "Gas Planet 2"
	AsterType      "Plutino"
	Radius          413.53
	Mass            0.00010261436 // 0.000105788 * 97%
	RotationPeriod  7.11
	Oblateness      0.000421
	Albedo          0.09
	Color         ( 0.850 0.850 0.850 )
	AbsMagn         2.2
	SlopeParam      0.15

	Surface
	{
		BumpHeight	1.322
	}

	Orbit
	{
		Epoch            2456401
		MeanMotion       0.00399016
		Period		 0.00903510057
		SemiMajorAxis    0.00332504448
		Eccentricity     0.221477
		Inclination      2.5438
		AscendingNode    268.423
		ArgOfPericenter  73.7412
		MeanAnomaly      169.685
	}
}

DwarfMoon	"Potatus"
{
	ParentBody     "Gas Planet 2"
	Class		"IceWorld"
	Radius          813.53
	Mass            0.00010261436 // 0.000105788 * 97%
	RotationPeriod  0.411
	Oblateness      0.4918
	Albedo          0.09
	Color         ( 0.850 0.850 0.850 )
	AbsMagn         2.2
	SlopeParam      0.15

	NoAtmosphere	true

	Orbit
	{
		Epoch            2456401
		Period	         0.06956592784
		SemiMajorAxis    0.00412504448
		Eccentricity     0.221477
		Inclination      40.5438
		AscendingNode    268.423
		ArgOfPericenter  73.7412
		MeanAnomaly      169.685
	}
}

Moon	"Fonso"
{
	ParentBody     "Gas Planet 2"
	Class          "IceWorld"

	Mass            0.01495
	Radius          842.50

	RotationOffset  220.8
	Obliquity       0

	Color         ( 0.569 0.471 0.388 )
	Albedo          0.61

	Surface
	{
		Randomize	(0.78, 0.43, 1.1)
      		montesMagn      0.6470585 
      		montesFreq      520.6417 
      		montesFraction  0.1605462 
		BumpHeight      5.5
		Exposure        3.2
		Lommel          0.7	// Lommel-Seeliger lighting model
	}

	Clouds
	{
		Height          25
	}

	Atmosphere
	{
		Height      45		// km
		Pressure    0.35938
		Model      "Neptune"
		Bright      3.5
		Opacity     0.0
		SkyLight    0.1
		EclipseBright 10
	}

	Orbit
	{
		Epoch          2443000
		Period         0.07843739305
		SemiMajorAxis  0.004818181818
		Eccentricity   0.0041
		Inclination    1.25
		AscendingNode  312.981
		LongOfPericen  97.735
		MeanLongitude  106.724
	}
}

Planet	"Proposed Planet 3/GP3/PP3"
{
	ParentBody     "Kerbol"
	Class          "Titan"

	Mass            5.533
	Radius          6599
	Oblateness      0.006787

	RotationPeriod  35.233
	RotationOffset  305.4
	Obliquity       2.222461
	EqAscendNode   -22.203

	Albedo          0.51

	Aurora
	{
		Height       1000   // km
        TopColor    (0.0 0.0 1.5)
        BottomColor (1.0 0.4 0.0)

		NorthLat     90    // degrees
		NorthLon     0     // degrees
		NorthRadius  8000  // km
		NorthWidth   6000  // km
		NorthRings   3     // number of rings
		NorthBright  1.0

		SouthLat    -90    // degrees
		SouthLon     0     // degrees
		SouthRadius  8000  // km
		SouthWidth   6000  // km
		SouthRings   3     // number of rings
		SouthBright  1.0
	}

	Rings
	{
		Texture         "KSP/GP3-rings.*"
		InnerRadius     16200
		OuterRadius     46500
		FrontBright     0.75
		BackBright      2.25
		Density         0.03
		Exposure        2.0
	}

	Orbit
	{
		Period         31.423
		SemiMajorAxis  2.844
		Eccentricity   0.190
		Inclination    1.3053
		AscendingNode  100.556
		LongOfPericen  14.7539
		MeanLongitude  34.404
	}
}

Planet	"Gas Planet 4/GP4"
{
	ParentBody     "Kerbol"
	Class          "GasGiant"
	Mass            406.218
	Orbit
	{
		Epoch          2454762
		SemiMajorAxis  5.5
		Eccentricity   0.045
		ArgOfPericen   9.2
	}
}
